Bugzilla – Attachment 60007 Details for
Bug 137154
zaptel - failes to creat chanels
Home
|
New
|
Browse
|
Search
|
[?]
|
Reports
|
Requests
|
IDP Log In
|
Forgot Password
added sleep 6 per Reinhard
zaptel (text/plain), 8.16 KB, created by
Tony Nichols
on 2005-12-07 13:53:29 UTC
(
hide
)
Description:
added sleep 6 per Reinhard
Filename:
MIME Type:
Creator:
Tony Nichols
Created:
2005-12-07 13:53:29 UTC
Size:
8.16 KB
patch
obsolete
>#! /bin/sh ># Copyright (c) 1995-2004 SUSE Linux AG, Nuernberg, Germany. ># All rights reserved. ># ># Author: Kurt Garloff ># Please send feedback to http://www.suse.de/feedback/ ># ># /etc/init.d/zaptel ># and its symbolic link ># /(usr/)sbin/rczaptel ># ># System startup script for zaptel ># ># LSB compatible service control script; see http://www.linuxbase.org/spec/ ># ># Note: This template uses functions rc_XXX defined in /etc/rc.status on ># UnitedLinux (UL) based Linux distributions. If you want to base your ># script on this template and ensure that it works on non UL based LSB ># compliant Linux distributions, you either have to provide the rc.status ># functions from UL or change the script to work without them. ># >### BEGIN INIT INFO ># Provides: Zaptel ># Required-Start: $local_fs ># Should-Start: ># Required-Stop: $local_fs ># Should-Stop: ># Default-Start: 1 2 3 5 ># Default-Stop: 0 6 ># Short-Description: Load and initialize Zaptel. ># Description: Load and initialize the zaptel telephony drivers ># which can be used buy the Asterisk PBX system. ># >### END INIT INFO ># ># Any extensions to the keywords given above should be preceeded by ># X-VendorTag- (X-UnitedLinux- X-SuSE- for us) according to LSB. ># ># Notes on Required-Start/Should-Start: ># * There are two different issues that are solved by Required-Start ># and Should-Start ># (a) Hard dependencies: This is used by the runlevel editor to determine ># which services absolutely need to be started to make the start of ># this service make sense. Example: nfsserver should have ># Required-Start: $portmap ># Also, required services are started before the dependent ones. ># The runlevel editor will warn about such missing hard dependencies ># and suggest enabling. During system startup, you may expect an error, ># if the dependency is not fulfilled. ># (b) Specifying the init script ordering, not real (hard) dependencies. ># This is needed by insserv to determine which service should be ># started first (and at a later stage what services can be started ># in parallel). The tag Should-Start: is used for this. ># It tells, that if a service is available, it should be started ># before. If not, never mind. ># * When specifying hard dependencies or ordering requirements, you can ># use names of services (contents of their Provides: section) ># or pseudo names starting with a $. The following ones are available ># according to LSB (1.1): ># $local_fs all local file systems are mounted ># (most services should need this!) ># $remote_fs all remote file systems are mounted ># (note that /usr may be remote, so ># many services should Require this!) ># $syslog system logging facility up ># $network low level networking (eth card, ...) ># $named hostname resolution available ># $netdaemons all network daemons are running ># The $netdaemons pseudo service has been removed in LSB 1.2. ># For now, we still offer it for backward compatibility. ># These are new (LSB 1.2): ># $time the system time has been set correctly ># $portmap SunRPC portmapping service available ># UnitedLinux extensions: ># $ALL indicates that a script should be inserted ># at the end ># * The services specified in the stop tags ># (Required-Stop/Should-Stop) ># specify which services need to be still running when this service ># is shut down. Often the entries there are just copies or a subset ># from the respective start tag. ># * Should-Start/Stop are now part of LSB as of 2.0, ># formerly SUSE/Unitedlinux used X-UnitedLinux-Should-Start/-Stop. ># insserv does support both variants. ># * X-UnitedLinux-Default-Enabled: yes/no is used at installation time ># (%fillup_and_insserv macro in %post of many RPMs) to specify whether ># a startup script should default to be enabled after installation. ># It's not used by insserv. ># ># Note on runlevels: ># 0 - halt/poweroff 6 - reboot ># 1 - single user 2 - multiuser without network exported ># 3 - multiuser w/ network (text mode) 5 - multiuser w/ network and X11 (xdm) ># ># Note on script names: ># http://www.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/scrptnames.html ># A registry has been set up to manage the init script namespace. ># http://www.lanana.org/ ># Please use the names already registered or register one or use a ># vendor prefix. > > ># Check for missing binaries (stale symlinks should not happen) ># Note: Special treatment of stop for LSB conformance > >ZAPTEL_BIN=/sbin/ztcfg -vv >test -x $ZAPTEL_BIN || { echo "$ZAPTEL_BIN not installed"; > if [ "$1" = "stop" ]; then exit 0; > else exit 5; fi; } > ># Check for existence of needed config file and read it >ZAPTEL_CONFIG=/etc/sysconfig/zaptel >test -r $ZAPTEL_CONFIG || { echo "$ZAPTEL_CONFIG not existing"; > if [ "$1" = "stop" ]; then exit 0; > else exit 6; fi; } > ># Read config >. $ZAPTEL_CONFIG > ># Source LSB init functions ># providing start_daemon, killproc, pidofproc, ># log_success_msg, log_failure_msg and log_warning_msg. ># This is currently not used by UnitedLinux based distributions and ># not needed for init scripts for UnitedLinux only. If it is used, ># the functions from rc.status should not be sourced or used. >#. /lib/lsb/init-functions > ># Shell functions sourced from /etc/rc.status: ># rc_check check and set local and overall rc status ># rc_status check and set local and overall rc status ># rc_status -v be verbose in local rc status and clear it afterwards ># rc_status -v -r ditto and clear both the local and overall rc status ># rc_status -s display "skipped" and exit with status 3 ># rc_status -u display "unused" and exit with status 3 ># rc_failed set local and overall rc status to failed ># rc_failed <num> set local and overall rc status to <num> ># rc_reset clear both the local and overall rc status ># rc_exit exit appropriate to overall rc status ># rc_active checks whether a service is activated by symlinks ># rc_splash arg sets the boot splash screen to arg (if active) >. /etc/rc.status > ># Reset status of this service >rc_reset > ># Return values acc. to LSB for all commands but status: ># 0 - success ># 1 - generic or unspecified error ># 2 - invalid or excess argument(s) ># 3 - unimplemented feature (e.g. "reload") ># 4 - user had insufficient privileges ># 5 - program is not installed ># 6 - program is not configured ># 7 - program is not running ># 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl) ># ># Note that starting an already running service, stopping ># or restarting a not-running service as well as the restart ># with force-reload (in case signaling is not supported) are ># considered a success. > >case "$1" in > start) > echo -n "Loading Zaptel drivers: " > if test -z "$ZAPTEL_MODULES"; then > rc_failed 6 > else > for module in $ZAPTEL_MODULES; do > echo -n "$module " > modprobe $module > done > sleep 6 > i=0 > while test ! -e /dev/zap/ctl -a $i -lt 50; do > echo -n . > : $((i++)) > usleep 200000 > done > $ZAPTEL_BIN > fi > > # Remember status and be verbose > rc_status -v > ;; > stop) > echo -n "Unloading Zaptel drivers " > if test -n "$ZAPTEL_MODULES" && grep -q zaptel /proc/devices > then > $ZAPTEL_BIN -s > modprobe -r $ZAPTEL_MODULES > fi > > # Remember status and be verbose > rc_status -v > ;; > try-restart|condrestart) > ## Do a restart only if the service was active before. > ## Note: try-restart is now part of LSB (as of 1.9). > ## RH has a similar command named condrestart. > if test "$1" = "condrestart"; then > echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}" > fi > $0 status > if test $? = 0; then > $0 restart > else > rc_reset # Not running is not a failure. > fi > # Remember status and be quiet > rc_status > ;; > restart) > ## Stop the service and regardless of whether it was > ## running or not, start it again. > $0 stop > $0 start > rc_status > ;; > force-reload) > > $0 try-restart > rc_status > ;; > reload) > rc_failed 3 > rc_status -v > ;; > status) > echo -n "Checking for Zaptel " > grep -q zaptel /proc/devices || rc_failed 3 > rc_status -v > ;; > probe) > ;; > *) > echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}" > exit 1 > ;; >esac >rc_exit
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
Actions:
View
Attachments on
bug 137154
: 60007